---
lang: en
title: 'API docs: repository.entitynotfounderror._constructor_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.entitynotfounderror._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [EntityNotFoundError](./repository.entitynotfounderror.md) &gt; [(constructor)](./repository.entitynotfounderror._constructor_.md)

## EntityNotFoundError._constructor_

Constructs a new instance of the `EntityNotFoundError` class

<b>Signature:</b>

```typescript
constructor(entityOrName: typeof Entity | string, entityId: ID, extraProperties?: Props);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  entityOrName | <code>typeof Entity &#124; string</code> |  |
|  entityId | <code>ID</code> |  |
|  extraProperties | <code>Props</code> |  |


